package com.reyun.repository;

import com.reyun.model.SyDicItem;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * description:
 *
 * @author nolan
 * @date 25/12/2017
 */
public interface SyDicItemRepository
        extends JpaRepository<SyDicItem, String>
{
    List<SyDicItem> findByDicCodeIn(List<String> dicCodes);

    List<SyDicItem> findByDicCode(String dicCode);

    List<SyDicItem> findByItemCodeIn(List<String> itemCodes);
}